changeset 68:dd4fe145b7b1

launch the client in the foreground and return a proper exit code
author Omair Majid <omajid@redhat.com>
date Thu, 02 Feb 2012 12:04:04 -0500
parents 3b1baa5f0bf2
children 6f83cf36541d
files scripts/thermostat-client-gui
diffstat 1 files changed, 2 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/thermostat-client-gui	Thu Feb 02 12:02:35 2012 -0500
+++ b/scripts/thermostat-client-gui	Thu Feb 02 12:04:04 2012 -0500
@@ -62,5 +62,6 @@
   echo "  thermostat-client-gui [args]"
 }
 
-${JAVA} -cp ${CLIENT_CLASSPATH} ${CLIENT_MAIN} ${CLIENT_ARGS} &
+${JAVA} -cp ${CLIENT_CLASSPATH} ${CLIENT_MAIN} ${CLIENT_ARGS}
+exit $?